> For the complete documentation index, see [llms.txt](https://docs.altu.d1.cx/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altu.d1.cx/build/assistentes/builder/componentes/input/feedback_nps.md).

# Feedback NPS

{% hint style="info" %}
Recurso disponível integralmente apenas no canal Widget
{% endhint %}

## Estrutura <a href="#fc1ab338-739a-4773-bec6-f0c9e02ed5cd" id="fc1ab338-739a-4773-bec6-f0c9e02ed5cd"></a>

```json
{
    "default": {
        "type": "feedback_nps",
        "payload": {
            "pick": "Qual é a sua satisfação geral em relação a esse atendimento?",
            "btn_label": "CONFIRMAR"
        }
    }
}
```

## Atributos <a href="#id-416bd357-5d1e-456a-a646-afea66eeda9e" id="id-416bd357-5d1e-456a-a646-afea66eeda9e"></a>

* **type:** feedback\_nps
* **payload:**
  * **pick:** pergunta exibida no componente, pode ser um array de objetos, com outras perguntas ou uma string. Vide "Exemplos"
  * **btn\_label:** texto (label) do botão de envio
  * **mandatory (default: true):** determina se o usuário precisa escolher uma nota para avançar ou não.
  * **reverseOptions (default: false):** quando setado para true exibe as opções das notas de 10 a 0 ao invés de 0 a 10.

Os atributos **reverseOptions** e **mandatory** são funcionais somente no Widget.

## Exemplos <a href="#id-37893b92-97d6-47d2-b0e6-025d2b96e6a0" id="id-37893b92-97d6-47d2-b0e6-025d2b96e6a0"></a>

{% tabs %}
{% tab title="Uma pergunta" %}

```json
{
    "default": {
        "type": "feedback_nps",
        "payload": {
            "pick": "Qual é a sua satisfação geral em relação a esse atendimento?",
	    "reverseOptions": true,
            "btn_label": "CONFIRMAR"
        }
    }
}
```

{% endtab %}

{% tab title="Widget" %}
![](/files/-MLi8z06ysqnFa_g0dNl)
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Múltiplas perguntas" %}
{% hint style="info" %}
Em canais diferentes de Widget, somente o primeiro `pick` será processado.
{% endhint %}

```json
{
    "default": {
        "type": "feedback_nps",
        "payload": {
            "pick": [
                {
                    "pick": "Qual é a sua satisfação<br> geral em relação a esse atendimento?",
                    "mandatory": true,
                    "reverseOptions": true
                },
                {
                    "pick": "O quão rápido você conseguiu resolver seu problema?"
                },
                {
                    "pick": "O quanto você está disposto a usar esse canal de atendimento novamente?",
                    "mandatory": false
                }
            ],
            "btn_label": "Enviar"
        }
    }
}
```

{% endtab %}

{% tab title="Múltiplas opções" %}
Note que a terceira pergunta está marcada com `mandatory: false` , logo posso marcá-la e desmarcá-la. Diferentemente, a primeira e a segunda pergunta, uma vez que cada avaliação é marcada, não é possível desmarcar, só é permitido alternar a escolha.

Observa-se que enquanto todas as perguntas obrigatórias não forem respondidas, o botão de confirmação não será desbloqueado.

![](/files/-MLi9WBqDfnfNvb5cwkO)
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.altu.d1.cx/build/assistentes/builder/componentes/input/feedback_nps.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
